Java MIDlet API on 89xx, 99xx

Version 1
    This document was generated from CDN thread

    Created by: Jean-Marc Lacoste on 14-02-2012 03:37:24 AM
    Hello,
    Java MIDlet API was supposed to be supported on 89xx, 99xx series at a later date. Is there any news on this matter ?
    Regards,
    jmlacoste

    Subject: RE: Java MIDlet API on 89xx, 99xx
    Replied by: David Staudt on 14-02-2012 02:22:16 PM
    With the advent of Android based devices (Cius) and their excellent on-board app programmability, it seem that the extensive work needed to enable J2ME on additional 'legacy' devices will likely never make it above the line.  I'm not aware of any upcoming announcements...